﻿<Graph ClassName="INTranExtRCL" Source="#CDATA" IsNew="True" FileType="NewGraph">
    <CDATA name="Source"><![CDATA[using PX.Data.ReferentialIntegrity.Attributes;
using PX.Data;
using PX.Objects.AR;
using PX.Objects.CM;
using PX.Objects.Common.Attributes;
using PX.Objects.Common.Bql;
using PX.Objects.Common;
using PX.Objects.CR;
using PX.Objects.CS;
using PX.Objects.CT;
using PX.Objects.GL;
using PX.Objects.IN;
using PX.Objects.PM;
using PX.Objects.PO;
using PX.Objects.SO;
using PX.Objects;
using System.Collections.Generic;
using System;

using DispatchExtension;

namespace PX.Objects.IN
{
    public class INTranExtRCL : PXCacheExtension<PX.Objects.IN.INTran>
    {
        #region UsrCustomField
        [PXDBString(1, IsFixed = true)]
        [dispatchType.List]
        [PXUIField(DisplayName = "Dispatch Type", Enabled = false)]
        public virtual string UsrDispatchType { get; set; }
        public abstract class usrDispatchType : PX.Data.BQL.BqlString.Field<usrDispatchType> { }
        #endregion

        #region UsrLoadQty
        [PXDecimal()]
        [PXDefault(TypeCode.Decimal, "0.00", PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Load Qty.")]
        public virtual decimal? UsrLoadQty { get; set; }
        public abstract class usrLoadQty : PX.Data.BQL.BqlDecimal.Field<usrLoadQty> { }
        #endregion

        #region UsrLoadedQty
        [PXDBDecimal()]
        [PXDefault(TypeCode.Decimal, "0.00", PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Loaded Qty.")]
        public virtual decimal? UsrLoadedQty { get; set; }
        public abstract class usrLoadedQty : PX.Data.BQL.BqlDecimal.Field<usrLoadQty> { }
        #endregion

        #region UsrLoadedQty
        [PXDBDecimal()]
        [PXDefault(TypeCode.Decimal, "0.00", PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Open Load Qty.")]
        [PXFormula(typeof(Sub<INTran.qty, usrLoadedQty>))]
        public virtual decimal? UsrOpenLoadQty { get; set; }
        public abstract class usrOpenLoadQty : PX.Data.BQL.BqlDecimal.Field<usrOpenLoadQty> { }
        #endregion

        #region UsrPickedQty
        [PXDBDecimal()]
        [PXDefault(TypeCode.Decimal, "0.00", PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Picked Qty.")]
        public virtual decimal? UsrPickedQty { get; set; }
        public abstract class usrPickedQty : PX.Data.BQL.BqlDecimal.Field<usrPickedQty> { }
        #endregion

        #region UsrOpenPickQty
        [PXDBDecimal()]
        [PXDefault(TypeCode.Decimal, "0.00", PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Open Pick Qty.")]
        [PXFormula(typeof(Sub<INTran.qty, usrLoadedQty>))]
        public virtual decimal? UsrOpenPickQty { get; set; }
        public abstract class usrOpenPickQty : PX.Data.BQL.BqlDecimal.Field<usrLoadQty> { }
        #endregion

        #region UsrAvailPickQty
        [PXDBDecimal()]
        [PXDefault(TypeCode.Decimal, "0.00", PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Available for Picking")]
        [PXFormula(typeof(INTran.qty))]
        public virtual decimal? UsrAvailPickQty { get; set; }
        public abstract class usrAvailPickQty : PX.Data.BQL.BqlDecimal.Field<usrAvailPickQty> { }
        #endregion

        #region UsrQtyInPickList
        [PXDBDecimal()]
        [PXDefault(TypeCode.Decimal, "0.00", PersistingCheck = PXPersistingCheck.Nothing)]
        [PXUIField(DisplayName = "Available for Loading")]
        [PXFormula(typeof(INTran.qty))]
        public virtual decimal? UsrAvailLoadQty { get; set; }
        public abstract class usrAvailLoadQty : PX.Data.BQL.BqlDecimal.Field<usrAvailLoadQty> { }
        #endregion

        #region UsrBackloadNbr
        [PXDBString]
        [PXUIField(DisplayName = "Backload Nbr.")]
        public virtual string UsrBackloadNbr { get; set; }
        public abstract class usrBackloadNbr : PX.Data.BQL.BqlDecimal.Field<usrBackloadNbr> { }
        #endregion

        #region UsrBackloadLineNbr
        [PXDBInt]
        [PXUIField(DisplayName = "Backload Line Nbr.")]
        public virtual int? UsrBackloadLineNbr { get; set; }
        public abstract class usrBackloadLineNbr : PX.Data.BQL.BqlDecimal.Field<usrBackloadLineNbr> { }
        #endregion
    }
}]]></CDATA>
</Graph>